<template>
  <nav :class="{'nav-container': true, 'nav-container--show': show}">
    <nuxt-link v-for="(category, i) in categories" :key="i" :to="`/shop/category/${category.id}`" v-ripple class="link" @click.native="onClick">
      <h2 class="title">{{ category.title }}</h2>
    </nuxt-link>
  </nav>
</template>

<script>
export default {
  name: "CategoryNav",
  props: {
    categories: {
      type: Array,
      required: true
    }
  },
  computed: {
    show() {
      return this.$store.getters['shop/isCategoryNavShown'];
    }
  },
  methods: {
    onClick() {
      this.$store.dispatch('shop/toggleIsCategoryNavShown');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables'

.nav-container
  background-color $black-darken
  position absolute
  z-index 5
  top 0
  right 0
  transform translateX(100%)
  padding $md 0
  color $white
  min-width $shop-category-nav-min-width
  height 100%
  transition all .2s ease-out
  visibility hidden
  overflow-y auto
  &--show
    transform translateX(0)
    visibility visible
    box-shadow $shop-category-nav-shadow

.link
  padding $sm $md
  direction rtl
  position relative
  display block
  &:hover
    background-color rgba(white, .05)

.title
  font-size $font-size
  font-weight 400

</style>